<?php 
$wp_customize->add_section( 'roland_about_us', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 2,
	'title'                 => __( 'About Us', 'roland' ),
	'description'           => __( 'Add About us section', 'roland' ),
	'panel'                 => 'roland_front_option'
) );

// About Section Enable / Disable
$wp_customize->add_setting( 'roland_about_us_enable',
  array(
    'default'           => '',
    'sanitize_callback'     => 'roland_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'roland_about_us_enable',
  array(
    'label'         => esc_html__( 'Show About Us Section', 'roland' ),
    'section'       => 'roland_about_us',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);


// Add Image
$wp_customize->add_setting('roland_about_image', array(
    'transport'         => 'refresh',
    'width'         => 1200,
    'height'         => 385,
	'sanitize_callback'     => 'roland_sanitize_image'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'roland_about_image', array(
    'label'             => __('Upload About image', 'roland'),
    'section'           => 'roland_about_us',
    'settings'          => 'roland_about_image',
)));    

//	Experience Number
$wp_customize->add_setting( 'roland_about_img_exper', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'roland_about_img_exper', array(
    'label'                 =>  __( 'Type experince number', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_img_exper',
) );

//	Experience Text
$wp_customize->add_setting( 'roland_about_img_text', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_img_text', array(
    'label'                 =>  __( 'Type experince text', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_img_text',
) );

//	About Top Title
$wp_customize->add_setting( 'roland_about_title_small', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_title_small', array(
    'label'                 =>  __( 'Type Top Title', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_title_small',
) );

//	About Title
$wp_customize->add_setting( 'roland_about_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_title', array(
    'label'                 =>  __( 'About title', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_title',
) );

//	About Text Content
$wp_customize->add_setting( 'roland_about_desc_text_one', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_desc_text_one', array(
    'label'                 =>  __( 'About Text Content 1', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_desc_text_one',
) );

//	About Text Content 2
$wp_customize->add_setting( 'roland_about_desc_text_two', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_desc_text_two', array(
    'label'                 =>  __( 'About Text Content 2', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_desc_text_two',
) );


//	About List
$wp_customize->add_setting( 'roland_about_list_one', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_list_one', array(
    'label'                 =>  __( 'About List One', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_list_one',
) );
//	About List 2
$wp_customize->add_setting( 'roland_about_list_two', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_list_two', array(
    'label'                 =>  __( 'About List Two', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_list_two',
) );
//	About List 3
$wp_customize->add_setting( 'roland_about_list_three', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_list_three', array(
    'label'                 =>  __( 'About List Thee', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_list_three',
) );
//	About List 4
$wp_customize->add_setting( 'roland_about_list_four', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_list_four', array(
    'label'                 =>  __( 'About List Four', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_list_four',
) );
//	About List 5
$wp_customize->add_setting( 'roland_about_list_five', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_list_five', array(
    'label'                 =>  __( 'About List Five', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_list_five',
) );
//	About List 6
$wp_customize->add_setting( 'roland_about_list_six', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_list_six', array(
    'label'                 =>  __( 'About List Six', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_list_six',
) );


//	About Button
$wp_customize->add_setting( 'roland_about_button_text', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'roland_about_button_text', array(
    'label'                 =>  __( 'About Button Text', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'text',
    'settings'              => 'roland_about_button_text',
) );


//	About Button Link
$wp_customize->add_setting( 'roland_about_button_link', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'roland_about_button_link', array(
    'label'                 =>  __( 'About Button Link', 'roland' ),
    'section'               => 'roland_about_us',
    'type'                  => 'url',
    'settings'              => 'roland_about_button_link',
) );