<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Roland
 */

get_header();
?>

	
	<?php if(get_theme_mod('roland_blog_ac_breadcrumb', true)) : ?>
	<!-- Breadcrumbs -->
	<div class="breadcrumbs single">
		<div class="container">
			<div class="row">
				<!-- Breadcrumb-Content -->
				<div class="col-12">
					<div class="breadcrumb-content">
						<div class="breadcrumbs-menu">
							<?php if (function_exists('bcn_display')) bcn_display(); ?>
						</div>	
						<h1 class="bread-title"><?php the_title() ?></h1>
					</div>	
				</div>
			</div>
		</div>
	</div>
	<!-- End Breadcrumbs -->
	<?php endif; ?>
	
	<!-- Blog Sinlge -->
	<section class="blog-single-post sidebar">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 col-md-8 col-12">
					<div class="single-area">
					<?php
					while ( have_posts() ) :
						the_post();

						get_template_part( 'template-parts/content', 'single' );

						the_post_navigation(
							array(
								'prev_text' => '<span class="nav-subtitle"> <i class="fa fa-angle-double-left"></i> '. esc_html__( 'Prev', 'roland' ) . '</span> ',
								'next_text' => '<span class="nav-subtitle">'. esc_html__( 'Next', 'roland' ) .'</span> <i class="fa fa-angle-double-right"></i>',
							)
						);

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>
					</div>
				</div>
				<div class="col-lg-4 col-md-4 col-12">
					<div class="blog-sidebar">
						<?php get_sidebar();?>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!--/ End Single -->
<?php
get_footer();
