<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Roland
 */

?>
<div class="col-lg-6 col-md-6 col-12">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		
		<!-- Single Blog -->
		<div class="single-blog">
			<?php if(has_post_thumbnail()) : ?>
			<!-- Blog Head -->
			<div class="blog-head">
				<?php the_post_thumbnail('roland-blog-thumb'); ?>
			</div>
			<?php endif;?>
			<div class="single-blog-content">
				<?php if ( ! has_post_format( 'gallery') && ! has_post_format( 'video') ) :?>
					<span class="post-format"><i class="icofont-pencil-alt-5"></i></span>
				<?php endif; ?>
				<?php if ( has_post_format( 'gallery' )) :?>
					<span class="post-format"><i class="icofont-photobucket"></i></span>
				<?php endif; ?>	
				<?php if ( has_post_format( 'video' )) :?>
					<span class="post-format"><i class="icofont-video"></i></span>
				<?php endif; ?>	
				<h2 class="blog-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<div class="entry-content"><?php the_excerpt();?></div>
				<!-- Blog Meta -->
				<div class="blog-meta">
					<div class="single-meta">
						<span><i class="icofont-ui-user"></i><?php roland_posted_by(); ?></span>
					</div>
					<div class="single-meta">
						<span><i class="icofont-clock-time"></i><?php the_time(get_option('date_format')); ?></span>
					</div>
					<div class="single-meta">
						<span><i class="icofont-speech-comments"></i><?php echo esc_html(get_comments_number());?></span>
					</div>
				</div>
				<!-- End Blog Meta -->
			</div>
		</div>
		<!-- End Single Blog -->
	</article> <!-- #post-<?php the_ID(); ?> -->
</div>